// Load dts shapes and merge animations
datablock TSShapeConstructor(RotScorpionNEWDts)
{
	baseShape  = "./scorpionNEW.dts";
	sequence0  = "./sc_root.dsq root";

	sequence1  = "./sc_run.dsq run";
	sequence2  = "./sc_walk.dsq walk";
	sequence3  = "./sc_back.dsq back";
	sequence4  = "./sc_root.dsq side";

	sequence5  = "./sc_crouch.dsq crouch";
	sequence6  = "./sc_crouchRun.dsq crouchRun";
	sequence7  = "./sc_crouchBack.dsq crouchBack";
	sequence8  = "./sc_root.dsq crouchSide";

	sequence9  = "./sc_root.dsq look";
	sequence10 = "./sc_headside.dsq headside";
	sequence11 = "./sc_root.dsq headUp";

	sequence12 = "./sc_root.dsq jump";
	sequence13 = "./sc_root.dsq standjump";
	sequence14 = "./sc_fall.dsq fall";
	sequence15 = "./sc_root.dsq land";

	sequence16 = "./sc_root.dsq armAttack";
	sequence17 = "./sc_root.dsq armReadyLeft";
	sequence18 = "./sc_root.dsq armReadyRight";
	sequence19 = "./sc_root.dsq armReadyBoth";
	sequence20 = "./sc_root.dsq spearready";  
	sequence21 = "./sc_root.dsq spearThrow";

	sequence22 = "./sc_root.dsq talk";  

	sequence23 = "./sc_death1.dsq death1"; 
	
	sequence24 = "./sc_root.dsq shiftUp";
	sequence25 = "./sc_root.dsq shiftDown";
	sequence26 = "./sc_root.dsq shiftAway";
	sequence27 = "./sc_root.dsq shiftTo";
	sequence28 = "./sc_root.dsq shiftLeft";
	sequence29 = "./sc_root.dsq shiftRight";
	sequence30 = "./sc_root.dsq rotCW";
	sequence31 = "./sc_root.dsq rotCCW";

	sequence32 = "./sc_root.dsq undo";
	sequence33 = "./sc_sting.dsq plant";

	sequence34 = "./sc_root.dsq sit";

	sequence35 = "./sc_root.dsq wrench";

   sequence36 = "./sc_attack2.dsq activate";
   sequence37 = "./sc_attack2.dsq activate2";

   sequence38 = "./sc_root.dsq leftrecoil";

   //scorpion sting animations
//   sequence39 = "./sc_stingLegs.dsq stingLegs";
//   sequence40 = "./sc_stingTail.dsq stingTail";
};    
//datablock AudioProfile(ScorpionJumpSound)
//{
//   fileName = "jump.wav";
//   description = AudioClose3d;
//   preload = true;
//};
//datablock DebrisData( ScorpionDebris )
//{
//   explodeOnMaxBounce = false;

//   elasticity = 0.15;
//   friction = 0.5;

//   lifetime = 4.0;
//   lifetimeVariance = 0.0;

//   minSpinSpeed = 40;
//   maxSpinSpeed = 600;

//   numBounces = 5;
//   bounceVariance = 0;

//   staticOnMaxBounce = true;
//   gravModifier = 1.0;

//   useRadiusMass = true;
//   baseRadius = 1;

//   velocity = 20.0;
//   velocityVariance = 12.0;
//};             
datablock PlayerData(RotScorpionZombie : PlayerStandardArmor)
{
//	renderFirstPerson = true;
    emap = false;
	
//	category = Armor;
	shapeFile = "./scorpionNEW.dts";
	minJetEnergy = 0;
	jetEnergyDrain = 0;
	canJet = 0;
	maxItems   = 10;		//total number of bricks you can carry
	maxWeapons = 3;		//this will be controlled by mini-game code
	maxTools = 3;

	maxDamage = 300;
//	runforce = 30 * 90;
	maxForwardSpeed = 10;
	maxBackwardSpeed = 8;
	maxSideSpeed = 8;
	attackpower = 25;
	jumpsound = "";

	maxForwardCrouchSpeed = 3;
	maxBackwardCrouchSpeed = 2;
	maxSideCrouchSpeed = 3;

	boundingBox				= vectorScale("3.7 3.7 2.5", 4); //"2.5 2.5 2.4";
	crouchBoundingBox		= vectorScale("3.2 3.2 1.5", 4); //"2.5 2.5 2.4";
	proneBoundingBox		= vectorScale("3.7 3.7 2.5", 4); //"2.5 2.5 2.4";

	mass = 170;

	jumpForce = 5 * 170; //8.3 * 90;
    jumpDelay = 0.2;	

//        minImpactSpeed = 160;
//        speedDamageScale = 4.8;

	BrickDestroyMaxVolume = 150;
	BrickMaxJumpHeight = 10;
	uiName = "B1 Scorpion";
	rideable = true;
	canRide = false;
	BrickKillRadius = 2;
	skinColor = "0.761 0.749 0.530 1";
//	FollowAnim = "ArmReadyBoth";
	numMountPoints = 0;
	ZombieTeam = "Scorpions";
	NoBloodyHands = 1;
	DoNotZombify = 1;
	chance = 90;
	SearchRadius = 50;
	SpecialAttack = 0;
//	zDeathSound = "ZTankDiesound";
	ignorePipeBombs = 1;
	paintable = true;

//    useCustomPainEffects = true;
//	PainSound           = ScorpionPainSound;
//	DeathSound          = ScorpionDeathSound;


};
function RotScorpionZombie::ondisabled(%this,%obj)
{
	parent::ondisabled(%this,%obj);
	ZombieDefault::ondisabled(%this,%obj);
}
function RotScorpionZombie::onCollision(%this, %obj, %col, %fade, %pos, %norm)
{
	parent::oncollision(%this, %obj, %col, %fade, %pos, %norm);
	ZombieDefault::onCollision(%this, %obj, %col, %fade, %pos, %norm);
	if(IsInMinigame(%obj) && IsInSameMinigame(%col,%obj) && %obj.getstate() !$= "Dead" && %obj.spawnbrick.getgroup().client.minigame.EnableZombies == 1)
	{
		%col.applyimpulse(%col.getposition(),vectoradd(vectorscale(%obj.getforwardvector(),0),"0 0 0"));
	}
	if(IsInMinigame(%obj) && MinigameIncludesPlayerBricks(%col) && %col.iszombie && %obj.getstate() !$= "Dead")
	{
		%col.applyimpulse(%col.getposition(),vectoradd(vectorscale(%obj.getforwardvector(),0),"0 0 0"));
		%obj.playthread(2,activate2);
	}
}
function RotScorpionZombie::onMount(%a,%player,%vehicle,%d,%e,%f)
{
	ZombieDefault::onMount(%a,%player,%vehicle,%d,%e,%f);
	parent::onMount(%a,%player,%vehicle,%d,%e,%f);
}
function RotScorpionZombie::onUnMount(%a,%player,%vehicle,%d,%e,%f)
{
	ZombieDefault::onUnMount(%a,%player,%vehicle,%d,%e,%f);
	parent::onUnMount(%a,%player,%vehicle,%d,%e,%f);
}
//function RotScorpionZombie::onAdd(%this,%obj)
//{
//	parent::onAdd(%this,%obj);
//	ZombieDefault::onAdd(%this,%obj);
//}
function RotScorpionZombie::onAdd(%this,%obj)
{
	parent::onAdd(%this,%obj);
	ZombieDefault::onAdd(%this,%obj);
	%obj.name = "Scorpion";
	schedule(15,0,recolorbug,%obj);
	//%obj.mountimage(gunimage,0);
}

